apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
    meta.helm.sh/release-name: tcp-testapp-v2
    meta.helm.sh/release-namespace: bluegreen-app
  creationTimestamp: "2023-03-14T09:58:25Z"
  generation: 1
  labels:
    app.kubernetes.io/instance: tcp-testapp-v2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: f5ing-testapp
    app.kubernetes.io/version: v0.11.4
    helm.sh/chart: f5ing-testapp-0.11.4
  name: tcp-testapp-v2-f5ing-testapp
  namespace: bluegreen-app
  resourceVersion: "107436504"
  uid: 0a3b9a3f-c92a-4526-aecc-347d399a63cb
spec:
  progressDeadlineSeconds: 600
  replicas: 2
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app.kubernetes.io/instance: tcp-testapp-v2
      app.kubernetes.io/name: f5ing-testapp
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app.kubernetes.io/instance: tcp-testapp-v2
        app.kubernetes.io/name: f5ing-testapp
    spec:
      containers:
      - env:
        - name: HTTPPORT
          value: "8000"
        - name: TCPPORT
          value: "8050"
        - name: UDPPORT
          value: "8100"
        image: artifactory.f5net.com/f5-f5ingress-docker/f5ing-testapp:v0.11.4
        imagePullPolicy: IfNotPresent
        livenessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8000
            scheme: HTTP
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: f5ing-testapp
        ports:
        - containerPort: 8051
          name: http
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8000
            scheme: HTTP
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        securityContext:
          capabilities:
            drop:
            - ALL
          readOnlyRootFilesystem: true
          runAsNonRoot: true
          runAsUser: 1000
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: regsecret
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: tcp-testapp-v2-f5ing-testapp
      serviceAccountName: tcp-testapp-v2-f5ing-testapp
      terminationGracePeriodSeconds: 30
status:
  availableReplicas: 2
  conditions:
  - lastTransitionTime: "2023-03-14T09:58:30Z"
    lastUpdateTime: "2023-03-14T09:58:30Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  - lastTransitionTime: "2023-03-14T09:58:25Z"
    lastUpdateTime: "2023-03-14T09:58:30Z"
    message: ReplicaSet "tcp-testapp-v2-f5ing-testapp-696cd9d4bf" has successfully
      progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  observedGeneration: 1
  readyReplicas: 2
  replicas: 2
  updatedReplicas: 2
